#!/usr/bin/python
# -*- coding: utf-8 -*-
## 1. 초기 설정① #######################################
# 라이브러리 가져오기
## 1．초기 설정 ①　모듈 가져오기 ######################
from i611_MCS import *
from teachdata import *
from i611_extend import *
from rbsys import *
from i611_common import *
from i611_io import *
from i611shm import * 

def main():
    ## 2. 초기 설정② ####################################
    # ZERO 로봇 생성자
    rb = i611Robot()
    # 좌표계의 정의
    _BASE = Base()
    # 로봇과 연결 시작 초기화
    rb.open()
    # I/O 입출력 기능의 초기화 
    IOinit( rb )
    
    ## 1. 교시 포인트 설정 ######################
    p1 = Position( -476, -236, 334, 90, 0, -180 )
    p2 = Position( -200, -450, 334, 90, 0, -180 )
    
    ## 2. 동작 조건 설정 ######################## 
    m = MotionParam( jnt_speed=20, lin_speed=50, pose_speed=100, overlap = 20 )
    #MotionParam 형으로 동작 조건 설정
    rb.motionparam( m )
    
    ## 3. 로봇 동작을 정의 ##############################
    # 작업 시작
    rb.home()
    while True:
        # raw input Tera term 입력 
        Data = raw_input('TEST')

        # 입력 '1' 또는 '2' 또는 '3'경우 조건에 따란 p1,p2,home 동작
        if (Data == '1'):
            rb.move(p1)
        elif(Data == '2'):
            rb.move(p2)
        elif(Data == '3'):
            rb.home()

    ## 4. 종료 ######################################
    # 로봇과의 연결을 종료
    rb.close()
if __name__ == '__main__':
    main()